Jump to project autocomplete: focus selected project
Status: Closed Start date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.4.3

Description

A small patch that could really enhance "jump to project" autocomplete experience: if a project is selected, then focus it when the
project list expands and start from here when navigating with keyboard arrows.

Usecase: when you have projects and subprojects, it's really painful when you want to quickly access parent or sibling project. It's
nice to have the current project focused.

| didn't go as far as positionning the widget's scroll bar so the selected project is on top

Associated revisions

Revision 16842 - 2017-07-22 08:41 - Jean-Philippe Lang

Jump to project autocomplete: focus selected project (#26395).

Patch by Gabriel Cardoso.

Revision 16844 - 2017-07-22 09:10 - Jean-Philippe Lang
Merged r16842 (#26395).

History

#1 - 2017-07-10 10:45 - Gabriel Cardoso
- File focus-selected-project-drdn.patch added

#2 - 2017-07-10 10:54 - Marius BALTEANU

FYI: Your patch has only some whitespace changes.

#3 - 2017-07-10 11:02 - Gabriel Cardoso
- File focus-selected-project-drdn-fixed.patch added

Updated version of the patch : autocompleted text input was not focused on expand
#4 - 2017-07-16 20:43 - Jean-Philippe Lang

Only works for me when in "mobile" display. Otherwise it's always the search field that gets the focus (because of drdn.find(".autocomplete").focus();
when not in mobile display).

Anyone else has tested this patch?

#5 - 2017-07-16 20:50 - Jean-Philippe Lang
OK got it. Looks good to me.

#6 - 2017-07-16 20:50 - Jean-Philippe Lang

- Target version set to 3.4.3

#7 - 2017-07-22 08:42 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.
Files

focus-selected-project-drdn.patch 908 Bytes 2017-07-10 Gabriel Cardoso
focus-selected-project-drdn-fixed.patch 1.89 KB 2017-07-10 Gabriel Cardoso
